# List events List all events in a project Endpoint: GET /v1/projects/{project_id}/events Version: 1.0 Security: Basic, oAuth2 ## Path parameters: - `project_id` (string, required) The unique ID of the project. You can find this on the Sinch Dashboard. ## Query parameters: - `conversation_id` (string) Resource name (id) of the conversation. One of conversation_id or contact_id needs to be present. - `contact_id` (string) Resource name (id) of the contact. One of conversation_id or contact_id needs to be present. - `page_size` (integer) Maximum number of events to fetch. Defaults to 10 and the maximum is 20. - `page_token` (string) Next page token previously returned if any. When specifying this token, make sure to use the same values for the other parameters from the request that originated the token, otherwise the paged results may be inconsistent. ## Response 200 fields (application/json): - `events` (array) List of ConversationsEvents. - `events.id` (string, required) The ID of the event. - `events.channel_identity` (object, required) A unique identity of message recipient on a particular channel. For example, the channel identity on SMS, WHATSAPP or VIBERBM is a MSISDN phone number. - `events.channel_identity.identity` (string, required) The channel identity. This will differ from channel to channel. For example, a phone number for SMS, WhatsApp, and Viber Business. - `events.channel_identity.channel` (string, required) The identifier of the channel you want to include. Must be one of the enum values. Enum: "WHATSAPP", "RCS", "SMS", "MESSENGER", "VIBERBM", "MMS", "INSTAGRAM", "TELEGRAM", "KAKAOTALK", "KAKAOTALKCHAT", "LINE", "WECHAT", "APPLEBC" - `events.channel_identity.app_id` (string) Required if using a channel that uses app-scoped channel identities. Currently, FB Messenger, Instagram, LINE, and WeChat use app-scoped channel identities, which means contacts will have different channel identities on different Conversation API apps. These can be thought of as virtual identities that are app-specific and, therefore, the app_id must be included in the API call. - `events.processing_mode` (string, required) Whether or not Conversation API should store contacts and conversations for the app. For more information, see [Processing Modes](https://developers.sinch.com/docs/conversation/processing-modes/). Enum: "CONVERSATION", "DISPATCH" - `events.app_event` (object) Event originating from an app - `events.conversation_id` (string) Optional. The ID of the event's conversation. Will not be present for apps in Dispatch Mode. - `events.contact_id` (string) Optional. The ID of the contact. Will not be present for apps in Dispatch Mode. - `events.accept_time` (string) The processed time of the message in UTC timezone. Must be less than current_time and greater than (current_time - 30 days). - `events.direction` (string) The direction of the message flow, indicating whether the message was sent to or from the Conversation API app. Enum: "TO_APP", "TO_CONTACT" - `next_page_token` (string) Token that should be included in the next request to fetch the next page. ## Response 400 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string) ## Response 403 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string) ## Response 500 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string) ## Response 501 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string)